**Source URL:** https://limited.veevavault.dev/commercial/vault-api/api-reference/24.3/vault-objects/attachment-fields/download-all-attachment-field-files.md

# Download All Attachment Field Files



Download all *Attachment* field files from the specified object record.

<Endpoint path="/api/{version}/vobjects/{object_name}/{object_record_id}/attachment_fields/file" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value. For example, `product__v`. |
| `{object_record_id}` | The object record id field value. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v24.3/vobjects/product__v/00P000000000202/attachment_fields/file

```
</CodeExample>

## Response Headers {#response-headers}

<CodeExample title="">
```
Content-Type: application/zip;charset=UTF-8
Content-Disposition: attachment;filename="Product - Cholecap - attachment fields.zip"

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault retrieves the file from the specified *Attachment* field from the object record. The files are packaged in a ZIP file with the file name: `{object label} {object record name} - attachment fields.zip`. When extracted, it will include a subfolder for each *Attachment* field included in the response.

The HTTP Response Header `Content-Type` is set to `application/zip;charset=UTF-8`. The HTTP Response Header `Content-Disposition` contains a filename component which can be used when naming the local file. When downloading files with very small file size, the HTTP Response Header `Content-Length` is set to the size of the file. For most *Attachment* field downloads (larger file sizes), the `Transfer-Encoding` method is set to `chunked` and the `Content-Length` is not displayed.



---

**Previous:** [Download Attachment Field File](/commercial/vault-api/api-reference/24.3/vault-objects/attachment-fields/download-attachment-field-file)  
**Next:** [Update Attachment Field File](/commercial/vault-api/api-reference/24.3/vault-objects/attachment-fields/update-attachment-field-file)